import { IApiConfiguration } from './api.model';
import { SdCacheService } from '@sd-angular/core/cache';
export declare class SdTokenService {
    private configuration;
    private cacheService;
    get token(): string;
    set: (token: string) => void;
    clear: () => void;
    customHeaders: (args?: {
        url?: string;
    }) => import("@angular/common/http").HttpHeaders;
    constructor(configuration: IApiConfiguration, cacheService: SdCacheService);
}
